Resource

On-Call Policy Schedule

Manage schedules and rotations for your on-call duty policy.

The On-Call Policy Schedule Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    name
    Type
    TextRequired
    Description

    Any friendly name of this object

  • Name
    labels
    Type
    Label
    Description

    Relation to Labels Array where this object is categorized in.

  • Name
    description
    Type
    Long Text
    Description

    Friendly description that will help you remember

  • Name
    slug
    Type
    SlugRequired
    Description

    Friendly globally unique name for your object

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

  • Name
    currentUserOnRoster
    Type
    User
    Description

    Relation to User who is currently on roster

  • Name
    currentUserIdOnRoster
    Type
    Object ID
    Description

    User ID who is currently on roster

  • Name
    nextUserOnRoster
    Type
    User
    Description

    Relation to User who is next on roster

  • Name
    nextUserIdOnRoster
    Type
    Object ID
    Description

    Next ID who is currently on roster

  • Name
    rosterHandoffAt
    Type
    Date
    Description

    When does the roster handoff occur for this schedule for the current user?

  • Name
    rosterNextHandoffAt
    Type
    Date
    Description

    When does the next roster handoff occur for this schedule for the next user?

  • Name
    rosterNextStartAt
    Type
    Date
    Description

    When does the next event start for this schedule for the next user?

  • Name
    rosterStartAt
    Type
    Date
    Description

    When does the current event start for this schedule for the current user?

GETorPOST/api/on-call-duty-policy-schedule/get-list

List

This endpoint allows you to retrieve a paginated list of all your On-Call Policy Schedule. By default, a maximum of ten On-Call Policy Schedule are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/on-call-duty-policy-schedule/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "name": true,
    "projectId": true,
    "slug": true,
    "createdByUser": true,
    "createdByUserId": true
  },
  "query": {
    "name": "Weekend On-Call Rotation"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "37770ff0-28fe-11f1-b591-3fdcef396aba",
      "name": "Weekend On-Call Rotation",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "slug": "weekend-on-call-rotation",
      "createdByUser": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "createdByUserId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
    },
    {
      "_id": "37770ff1-28fe-11f1-b591-3fdcef396aba",
      "name": "Weekend On-Call Rotation",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "slug": "weekend-on-call-rotation",
      "createdByUser": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "createdByUserId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
    },
    {
      "_id": "37770ff2-28fe-11f1-b591-3fdcef396aba",
      "name": "Weekend On-Call Rotation",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "slug": "weekend-on-call-rotation",
      "createdByUser": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "createdByUserId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
    }
  ]
}
GETorPOST/api/on-call-duty-policy-schedule/:id/get-item

Get item by ID

This endpoint allows you to retrieve On-Call Policy Schedule by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/on-call-duty-policy-schedule/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "name": true,
    "projectId": true,
    "slug": true,
    "createdByUser": true,
    "createdByUserId": true
  }
}

Response

{
  "_id": "37770ff0-28fe-11f1-b591-3fdcef396aba",
  "name": "Weekend On-Call Rotation",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "slug": "weekend-on-call-rotation",
  "createdByUser": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "createdByUserId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}
POST/api/on-call-duty-policy-schedule/count

Count

This endpoint allows you to retrieve the count of all your On-Call Policy Schedule.

Optional Request Body

Count Request

POST
/api/on-call-duty-policy-schedule/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "name": "Weekend On-Call Rotation"
  }
}

Response

{
  "count": 107
}
POST/api/on-call-duty-policy-schedule

Create On-Call Policy Schedule

This endpoint allows you to create a new object.

Create Request

POST
/api/on-call-duty-policy-schedule
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "name": "Weekend On-Call Rotation",
    "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
    "createdByUser": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "createdByUserId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "currentUserOnRoster": "c3d4e5f6-a7b8-9012-cdef-123456789012"
  }
}

Response

{
  "_id": "37770ff0-28fe-11f1-b591-3fdcef396aba",
  "name": "Weekend On-Call Rotation",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "slug": "weekend-on-call-rotation",
  "createdByUser": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
  "createdByUserId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}
PUT/api/on-call-duty-policy-schedule/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/on-call-duty-policy-schedule/:id/update-item
GET/api/on-call-duty-policy-schedule/:id/update-item

Update Request

PUT
/api/on-call-duty-policy-schedule/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "name": "Weekend On-Call Rotation",
    "description": "This schedule handles on-call duties during weekend hours for production incidents",
    "labels": [
      {
        "name": "production"
      },
      {
        "name": "critical"
      }
    ]
  }
}

Response

{}
DELETE/api/on-call-duty-policy-schedule/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/on-call-duty-policy-schedule/:id/delete-item
GET/api/on-call-duty-policy-schedule/:id/delete-item

Delete Request

DELETE
/api/on-call-duty-policy-schedule/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read On-Call Policy Schedule

  • Project Owner
  • Project Admin
  • Project Member
  • Read On-Call Duty Policy Schedule
  • Read All Project Resources

Create Permissions

Required to create On-Call Policy Schedule

  • Project Owner
  • Project Admin
  • Project Member
  • Create On-Call Duty Policy Schedule

Update Permissions

Required to update On-Call Policy Schedule

  • Project Owner
  • Project Admin
  • Project Member
  • Edit On-Call Duty Policy Schedule

Delete Permissions

Required to delete On-Call Policy Schedule

  • Project Owner
  • Project Admin
  • Project Member
  • Delete On-Call Duty Policy Schedule